syntax on
set nocompatible
set encoding=utf8
 
set mouse=a
set hidden

set updatetime=300

" -- Initialisation de Plug
call plug#begin('~/.config/nvim/plugged')
    Plug 'loctvl842/monokai-pro.nvim'
    Plug 'junegunn/fzf.vim'
    Plug 'junegunn/fzf'
    Plug 'famiu/feline.nvim'
    Plug 'jiangmiao/auto-pairs' " Ferme automatiquement les parenthèses, crochets…
    Plug 'lukas-reineke/indent-blankline.nvim' " Affiche les indentations.
    Plug 'terrortylor/nvim-comment' " Permet de basculer les commentaires sur une ligne
    Plug 'kyazdani42/nvim-web-devicons' " requis pas bufferline
    Plug 'akinsho/bufferline.nvim', 
call plug#end()

silent! colorscheme "monokai-pro"
set background=dark

set ruler			" Affiche la position du curseur
set number			" Affiche le numéro des lignes
"set cursorline		" Surligne la ligne en cours

set hlsearch 		" Surligne les résultats d'une recherche

" -- Indentation:w
set expandtab 		" Les tabulations deviennent des espaces
set tabstop=4		" Nombre d'espace pour une tabulation
set smartindent
set autoindent
"set paste			" Pas d'indentation auto lors d'un collage

set wildmenu 		" Autocomplete les commandes via un menu

if (has("termguicolors"))
  set termguicolors
endif

"Tous les fichiers du repertoire courant
nnoremap <silent> <C-p> :Files<CR>
" Tous les fichiers du repertoire courant suivis par GIT
nnoremap <silent> <C-g> :GFiles<CR>

nnoremap <silent> <C-o> :Buffers<CR>
nnoremap <C-f> :Rg!

nnoremap <C-n> :bn<CR>
nnoremap <C-b> :bp<CR>

" -- Les modifications de .vimrc sont prises en compte immédiatement
"if has("autocmd")
"    autocmd! bufwritepost .vimrc source ~/.vimrc
"endif
"
"" -- Autocompletion avec coc
"inoremap <silent><expr> <c-space> coc#refresh()
"
"" -- Utiliser les tabulations
"" Tabultation précedente
"map <C-left> :tabp<cr>
"" Tabulation suivante
"map <C-right> :tabn<cr>" Ferme tabulation courante
"map <C-t><c> :tabc<cr>

set shiftwidth=4
set softtabstop=4
set tabstop=4

autocmd Filetype html setlocal ts=2 sw=2 expandtab
autocmd Filetype css setlocal ts=2 sw=2 expandtab
autocmd Filetype scss setlocal ts=2 sw=2 expandtab
autocmd Filetype python setlocal ts=2 sw=2 expandtab


lua << EOF
require("bufferline").setup{}
require('feline').setup()
EOF
